<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" ValidateRequest="false" Inherits="GcPdfViewerSupportApiDemo._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
<link href="https://cdn.materialdesignicons.com/5.0.45/css/materialdesignicons.min.css" rel="stylesheet">
<style>
    html, body, body > form, .body-content {
        height: 100%;
        width: 100%;
    }
    #host {
        padding: 60px 20px 20px 10px;
    }
@media (max-width:500px) {
    #host {
        padding: 50px 0px 0px 0px;
    }
    .body-content {
        padding-left: 0px;
        padding-right: 0px;
    }
}
</style>

<div id="host"></div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<script src="scripts/lib/pdfviewer/build/gcpdfviewer.js?ts=20230407-01"></script>
<script id="js-sample-code">
    function getHashValue(key) { var matches = location.hash.match(new RegExp(key + '=([^&]*)')); return matches ? matches[1] : null; }
    var viewer;
    var options = {
        workerSrc: 'scripts/lib/pdfviewer/build/gcpdfviewer.worker.js',
        supportApi: {
            apiUrl: '/CustomSupportApi',
            token: 'support-api-demo-token',
            legacyServer: true
        },
        userName: getHashValue('user') || 'Anonymous',
        documentListUrl: '/CustomSupportApi/DocumentList',
        logLevel: 'Debug'
    };
    if (window.createPdfViewer) {
        viewer = window.createPdfViewer('#host', options);
    } else {
        if (options.userName === "Anonymous") {
            options.userName = prompt("Please, input your name", options.userName) || "Anonymous";
        }
        viewer = new GcPdfViewer("#host", options);
        viewer.addDefaultPanels();
        viewer.addFormEditorPanel();
        viewer.addAnnotationEditorPanel();
        //viewer.addDocumentListPanel();
        viewer.addSharedDocumentsPanel();
        <%=(GcPdfViewerSupportApiDemo.Utils.GcPdfViewerRenderHelper.RenderOptions(GcPdfViewerSupportApiDemo.Samples.SamplePdfCreator.GetViewerOptions()))%>
        viewer.beforeUnloadConfirmation = true;        
    }
    if(viewer.then) {
        viewer.then(function(resolvedViewer) { 
            viewer = resolvedViewer;
            viewer.open("/CustomSupportApi/GetSamplePdf"); 
        });
    } else {
        viewer.open("/CustomSupportApi/GetSamplePdf");
    }
    // Viewer opened.
    modifyContextMenuSample(viewer);
    function modifyContextMenuSample(viewer) {
        viewer.options.onBeforeOpenContextMenu = function (items, mousePosition, viewer) {
            var selectedText = viewer.getSelectedText();
            if (selectedText) {
                // Remove existent items:
                items.splice(0, items.length);
                // Add own menu items:
                items.push({
                    type: 'button',
                    text: 'Search using Google',
                    onClick: function () {
                        window.open('http://www.google.com/search?q=' + encodeURI(selectedText), '_blank');
                    }
                });
                items.push({
                    type: 'button',
                    text: 'Search using Bing',
                    onClick: function () {
                        window.open('https://www.bing.com/search?q=' + encodeURI(selectedText), '_blank');
                    }
                });
            }
            return true;
        };
    }

</script>

</asp:Content>
